<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.pms.mapper.majornetwork.RStatDevSignalDMapper">

    <resultMap id="BaseResultMap" type="com.njcn.device.pms.pojo.po.RStatDevSignalD">
            <id property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="TIMESTAMP"/>
            <result property="deviceStatus" column="device_status" jdbcType="VARCHAR"/>
            <result property="runStatus" column="run_status" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        device_id,data_date,device_status,
        run_status,update_time
    </sql>
</mapper>
